Airtime Purchase API

Stable Payments

This API enables the purchase of airtime for mobile numbers with mobile number verification and airtime purchase functionality.

Overview

Use Cases

  • Mobile Number Verification
  • Airtime Purchase
  • Data Bundle Purchase

Supported Networks

  • Vodacom
  • Airtel
  • Tigo
  • Zantel
  • Halotel

Code Examples

Example requests for the Airtime Purchase API

curl -X POST "https://api.nmbbank.com/v1/payments/airtime/verify" \
  -H "Authorization: Bearer YOUR_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
    "requestBody": {
      "sourceId": "Mkononi",
      "transactionReference": "USMKA0764M6J55C9Q0673W",
      "identifierType": "MSISDN",
      "identifier": "255758858489",
      "fspDestination": "503"
    }
  }'

Response Examples

Purchase Response

{
  "statusCode": 600,
  "message": "Success",
  "body": {
    "providerReference": "ZAN1008873700",
    "gwxReference": "GWX800929333218"
  }
}

Quick Info

Base URL: https://www.fintech.nmbbank.co.tz

Authentication: Bearer Token

Content Type: application/json

Support

Need help with this API? Contact our support team.